﻿using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using Telerik.Windows.Controls;

namespace ExpandItemsIntoView
{
    public class MyObject : ViewModelBase, IDataErrorInfo
    {
        public int ID { get; set; }
        public string Name { get; set; }
       
        [Display(AutoGenerateField = false)]
        public ObservableCollection<MyObject> Items { get; set; }

        public string Error
        {
            get
            {
                return null;
            }
        }

        public string this[string columnName]
        {
            get
            {
                if (columnName == "ID")
                {
                    if(this.ID == 1)
                    {
                        return "error";
                    }
                }
                return null;
            }
        }
    }
}
